Subject: Re: [Mip4] lifetime in Registration Request

From: zhen <[email-masked]>
Date: Tue, 26 Jul 2005 10:48:09 -0300

Hi Vasanth,

Thank you for the kind reply. About the micro-mobility part, what I 
meant is that if the MN is still using the  same CoA (which is the 
address of the gateway foreign agent in case of Regional Registration) 
according to the spirit of micro-mobility protocols the MN doesn't need 
to register to the home. But if the lifetime expires in the home agent, 
the tunneling will be stopped and probably more seriously the binding 
will be deleted. So the MN has to anyway send out registrations even 
though it's just doing intra-domain movements. Is this true?

Zhen

On Tuesday, July 26, 2005, at 01:12 AM, vasanth kumar wrote:

> HI zhen,
>          Lifetime value usually they use a value of 30 sec in coa
> scenario. After the lifetime times out, the tunneling home network
> packets by agents will be stopped i.e there should not be any packet
> flow between MN and agents . I don't abt intra-domain movements. But
> if there is IP change in MN it should re-register with the new
> IP-address and remove binding of the old-ip address using
> deregistratoin request.
>
> vasanth
>
> On 7/26/05, [email-masked] <[email-masked]> wrote:
>> Hi All,
>>
>> I hope that this is a right question for this list.
>>
>> Just about the value of the lifetime field in Registration Request
>> message. What is the value if the MN uses the CoA? And.. the more
>> important, what will happen if it expires? What if the MN is doing
>> intra-domain movements when the lifetime expires, should the MN 
>> register
>> with the home network anyway? I meant while still using micro-mobility
>> protocols which are supposed to surpress the registrations..
>>
>> any answer or pointer will be appreciated
>>
>> sincerely
>>
>> Z.
>>
>>
>>
>>
>>
>>
>> --
>> Mip4 mailing list: [email-masked]
>>    Web interface: https://www1.ietf.org/mailman/listinfo/mip4
>>     Charter page: http://www.ietf.org/html.charters/mip4-charter.html
>> Supplemental site: http://www.mip4.org/
>>
>

-- 
Mip4 mailing list: [email-masked]
    Web interface: https://www1.ietf.org/mailman/listinfo/mip4
     Charter page: http://www.ietf.org/html.charters/mip4-charter.html
Supplemental site: http://www.mip4.org/

---

From: "Ji Zhang" <[email-masked]>
Date: Tue, 26 Jul 2005 15:17:57 +0100

Hi Zhen,

A mobility binding need to be renewed by the MN if the MN thinks it is still
useful. It is not necessary that the MN updates the mobility binding at its
HA on every intra-domain handover. The MN needs to do this only when the
mobility binding at the HA is about to expire. However, it does need to
update the mobility binding at its GFA on every intra-domain IP layer
handover.

Ji

---

From: zhen <[email-masked]>
Date: Tue, 26 Jul 2005 11:56:56 -0300

On Tuesday, July 26, 2005, at 11:17 AM, Ji Zhang wrote:

> useful.
>  It is not necessary that the MN updates the mobility binding at its
> HA on every intra-domain handover.

That's certainly true.

> The MN needs to do this only when the
> mobility binding at the HA is about to expire.

So that still means the MN has to send out registration request every 
30 sec even though it's roaming within the area of GFA.  Is there 
particular reason why the lifetime is defined so short?

> However, it does need to
>>>>     Charter page: 
>>>> http://www.ietf.org/html.charters/mip4-charter.html

---

From: "Ji Zhang" <[email-masked]>
Date: Tue, 26 Jul 2005 16:24:40 +0100

Hi again,

[snip]
> particular reason why the lifetime is defined so short?

I think George just answered this question. There is no normative value of
lifetime. It depends on the scenario of deployment. There is a tradeoff when
determining the lifetime value: short lifetime results in more signalling,
and long lifetime consumes more resource and is potentially more vulnerable
in security aspect, etc..

Ji